Skip to main content
PATCH
/
api
/
v3
/
admin
/
customers
/
{customer_id}
/
store_credits
/
{id}
Spree Admin SDK
import { createAdminClient } from '@spree/admin-sdk'

const client = createAdminClient({
  baseUrl: 'https://your-store.com',
  secretKey: 'sk_xxx',
})

const credit = await client.customers.storeCredits.update(
  'cus_UkLWZg9DAJ',
  'sc_UkLWZg9DAJ',
  { memo: 'Reissued for damaged shipment' },
)
{
  "id": "credit_UkLWZg9DAJ",
  "amount": "50.0",
  "amount_used": "0.0",
  "amount_remaining": "50.0",
  "display_amount": "$50.00",
  "display_amount_used": "$0.00",
  "display_amount_remaining": "$50.00",
  "currency": "USD",
  "memo": "Updated",
  "metadata": {},
  "created_at": "2026-05-24T17:36:49.119Z",
  "updated_at": "2026-05-24T17:36:49.399Z",
  "customer_id": "cus_UkLWZg9DAJ",
  "created_by_id": "admin_UkLWZg9DAJ",
  "category_id": "sccat_UkLWZg9DAJ",
  "category_name": "Exchange"
}

Documentation Index

Fetch the complete documentation index at: https://spreecommerce.org/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-spree-api-key
string
header
required

Secret API key for admin access

Authorization
string
header
required

JWT token for admin user authentication

Headers

x-spree-api-key
string
required
Authorization
string
required

Path Parameters

customer_id
string
required
id
string
required

Body

application/json
amount
number
category_id
string
memo
string

Response

200 - application/json

store credit updated